
Redmine - Defect #23010

ActiveRecord::StaleObjectError in issue bulk update

2016-06-08 09:58 - Steven Wong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.2.2

Description

I used the issue list, and select all issue.

then right click and choose assign to someone , then loading for long time and at last occured an blank page.

I checked the log as follows:

F, [2016-06-08T15:54:36.314677 #1660] FATAL -- : 

ActiveRecord::StaleObjectError (Attempted to update a stale object: Issue):

  app/models/issue.rb:182:in `create_or_update'

  app/controllers/issues_controller.rb:292:in `block in bulk_update'

  app/controllers/issues_controller.rb:278:in `each'

  app/controllers/issues_controller.rb:278:in `bulk_update'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-06-08 10:06 - Steven Wong

more information about the issue

  * HTTP Method: POST

  * IP address : 192.168.60.239

  * Parameters : {"_method"=>"post", "authenticity_token"=>"fIBwZ4UqeMDmJyMJ1lQfzqreEv5rq05XIdzKU3uX37qZUumNGv

DHYQYL4P6sDndCnTPQii9dFA/kKDoW9RW+8w==", "back_url"=>"/projects/website/issues", "ids"=>["3450", "3451", "3452

", "3453", "3454", "3455", "3456", "3457", "3458", "3459", "3460", "3461", "3462", "3464", "3465", "3466", "34

67", "3468", "3469", "3470", "3471", "3472", "3473", "3474", "3475", "3476", "3477", "3478", "3479", "3712", "

3713", "3714", "3715", "3716", "3717", "3718", "3719", "3720", "3721", "3722"], "issue"=>{"assigned_to_id"=>"2

3"}, "controller"=>"issues", "action"=>"bulk_update"}

  * Timestamp  : 2016-06-08 07:54:34 UTC

  * Server : redmine

  * Rails root : /opt/redmine

  * Process: 1660

#2 - 2016-06-08 10:18 - Toshi MARUYAMA

- Subject changed from bulk edit assign to occured error with blank page to ActiveRecord::StaleObjectError in issue bulk update

- Category set to Issues

#3 - 2016-06-29 15:15 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#4 - 2024-06-20 09:56 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
